Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.backup
Class Restore

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.exist.backup.Restore

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

public class Restore
extends org.xml.sax.helpers.DefaultHandler

Restore.java

Author:
  Wolfgang Meier

Field Summary
`static java.lang.String` | `NS`

Constructor Summary
`Restore(java.lang.String user, java.lang.String pass, java.lang.String newAdminPass, java.io.File contents, java.lang.String uri)` Constructor for Restore.

Method Summary
`void` | `restore(boolean showGUI, javax.swing.JFrame parent)`
`static void` | `showErrorMessage(java.lang.String message)`
`void` | `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes atts)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`characters, endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS

    public static final java.lang.String NS

See Also:
  Constant Field Values

Constructor Detail

### Restore

    public Restore(java.lang.String user,
                   java.lang.String pass,
                   java.lang.String newAdminPass,
                   java.io.File contents,
                   java.lang.String uri)
            throws javax.xml.parsers.ParserConfigurationException,
                   org.xml.sax.SAXException,
                   XMLDBException,
                   java.net.URISyntaxException

  Constructor for Restore.

Throws:
  `XMLDBException`
  `java.net.URISyntaxException`
  `javax.xml.parsers.ParserConfigurationException`
  `org.xml.sax.SAXException`

Method Detail

### restore

    public void restore(boolean showGUI,
                        javax.swing.JFrame parent)
                 throws XMLDBException,
                        java.io.FileNotFoundException,
                        java.io.IOException,
                        org.xml.sax.SAXException

  Throws:
    `XMLDBException`
    `java.io.FileNotFoundException`
    `java.io.IOException`
    `org.xml.sax.SAXException`

### startElement

    public void startElement(java.lang.String namespaceURI,
                             java.lang.String localName,
                             java.lang.String qName,
                             org.xml.sax.Attributes atts)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`
  See Also:
    `ContentHandler.startElement(java.lang.String, java.lang.String, java.lang.String, org.xml.sax.Attributes)`

### showErrorMessage

    public static void showErrorMessage(java.lang.String message)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.